import { SocketControllersModuleConfig } from "./SocketControllersModuleConfig";
import { Module, ModuleInitOptions } from "microframework/Module";
import { MicroFrameworkBootstrapper } from "microframework/MicroFrameworkBootstrapper";
/**
 * socket-controllers module integration with microframework.
 */
export declare class SocketControllersModule implements Module {
    private options;
    private configuration;
    private framework;
    ignoreMissingDependencies: boolean;
    getName(): string;
    getDependentModules(): string[];
    getConfigurationName(): string;
    isConfigurationRequired(): boolean;
    init(options: ModuleInitOptions, configuration: SocketControllersModuleConfig, dependentModules?: Module[], framework?: MicroFrameworkBootstrapper): void;
    onBootstrap(): Promise<any>;
    afterBootstrap(): Promise<any>;
    onShutdown(): Promise<any>;
    private getSourcePaths(dirs);
}
